<?php /*
*************************************************************************
Plugin Name:  	WP Site Protector
Description: 	As we already know WordPress is the best CMS in whole world. And it's time to protect your wordpress website's contents by giving four layer protection. 1. By disabling the Right Click Access on your website pages 2. By disabling the Content Copying On your website pages 3. Even if you allow copying your website's content, you can enable the option to append a string whenever any user copies something from your website. 4. Disabling the Keyboard Shortcuts like CTRL+A, CTRL+C, CTRL+X, and CTRL+V (on Windows). And CMD+A, CMD+C, CMD+X, and CMD+V (on MAC). WP Site Protector Plugin makes it very easy to put every possible protection to your very-own precious content and images from being stolen or copied which are present on your wordpress website. Using WP Site Protector is very easy. Just install WP Site Protector on your website and Activate it. After Activating WP Site Protector, you can configure the plugin as per your requirement.

If you like WP Site Protector, please rate us on Wordpress.org
Version:      	2.0
Author:       	Moriyan Jay
License: 		GPLv2 or later
*************************************************************************/

global $wpsiteprotector;

$wpsiteprotector = array();
$wpsiteprotector['name'] = 'WP Site Protector';
$wpsiteprotector['name_act_l'] = 'wp_site_protector_r';
$wpsiteprotector['version_label'] = $wpsiteprotector['name_act_l'].'_db_version';
$wpsiteprotector['version'] = '2.0';
$wpsiteprotector['env'] = array('drc'=>'drc', 'drc_text'=>'drc_text', 'dts'=>'dts', 'dks'=>'dks', 'asc'=>'asc', 'asc_text'=>'asc_text', 'da'=>'da');
$wpsiteprotector['env_const'] = 'WPSITEPROTECTOR';
$wpsiteprotector['website_name'] = 'Exattosoft.com';
$wpsiteprotector['website'] = 'http://www.'.strtolower($wpsiteprotector['website_name']).'/';
$wpsiteprotector['page_url'] = $wpsiteprotector['website'].'products/web/wp/plugins/wp-site-protector/';
$wpsiteprotector['conf'] = wpsiteprotector_getconf();
$wpsiteprotector['env_admin_url'] = get_admin_url()."options-general.php?page=".basename(dirname(__FILE__).'.php');
$wpsiteprotector['site_url'] = get_bloginfo('wpurl');


function wpsiteprotector_getconf()
{
	global $wpsiteprotector;
	
	$wpsiteprotector_tmp = array();

	foreach($wpsiteprotector['env'] as $siteprotector_index=>$siteprotector_val)
		$wpsiteprotector_tmp[$siteprotector_index] = get_option($wpsiteprotector['env_const'].$siteprotector_index);
	
	return $wpsiteprotector_tmp;
}

function wpsiteprotector_addscript($script, $print=true)
{
	$print_script = "<script>".$script."</script>";

	if($print == true)
		echo $print_script;
	else
		return $print_script;
}

function wpsiteprotector_setconf($values)
{
	global $wpsiteprotector;
	
	foreach($wpsiteprotector['env'] as $siteprotector_index=>$siteprotector_val)
		update_option($wpsiteprotector['env_const'].$siteprotector_index, $values[$wpsiteprotector['env_const'].$siteprotector_index.'_val']);
	
	$wpsiteprotector['conf'] = wpsiteprotector_getconf();
	
	return true;
}

function wpsiteprotector_drc()
{
	global $wpsiteprotector;
	?>
	jQuery(document).bind('contextmenu', function(e){
		e.preventDefault();
		<?php
		if(!empty($wpsiteprotector['conf']['drc_text']))
			echo "alert('".$wpsiteprotector['conf']['drc_text']."');";
		?>
	});
	<?php
}

function wpsiteprotector_dts()
{
	global $wpsiteprotector;
	?>
	jQuery('html').wpSiteProtectorDts();
	<?php
}

function wpsiteprotector_dks()
{
	global $wpsiteprotector;
	?>
	jQuery(document).keydown(function(objEvent){if(objEvent.ctrlKey){if(objEvent.keyCode==65){return false}}});jQuery(document).bind("cut copy paste",function(e){e.preventDefault()});
	<?php
}

function wpsiteprotector_asc()
{
	global $wpsiteprotector;
	?>
	document.oncopy = wpSpTextAppender;
	<?php
}

function wpsiteprotector_conf_page()
{
	global $wpsiteprotector;
	
	if(is_admin())
	{
		if($_POST)
			$conf_updated = wpsiteprotector_setconf($_POST);
		?>
		<style>
		th{
			width:350px !important;
		}
		</style>
		<div class="wrap">
			<h2><?php echo $wpsiteprotector['name']; ?> - Configuration</h2>
			<?php
			if($conf_updated)
			{
				?>
				<div id="setting-error-settings_updated" class="updated settings-error"> 
					<p><strong>Settings saved.</strong></p>
				</div>
				<?php
			}
			?>
			<table>
				<tr>
					<td style="width:80%">
						<form method="post">
							<table class="form-table">
								<tbody>
									<tr>
										<th scope="row">
											Content Copying
										</th>
										<td>
											<label>
												<input type="radio" name="<?php echo $wpsiteprotector['env_const'].'dts'.'_val'; ?>" value="1" <?php echo ( ($wpsiteprotector['conf']['dts'] == 1) ? 'CHECKED' : '' ); ?>/> Restrict
											</label>
											&nbsp;&nbsp;&nbsp;&nbsp;
											<label>
												<input type="radio" name="<?php echo $wpsiteprotector['env_const'].'dts'.'_val'; ?>" value="0" <?php echo ( ($wpsiteprotector['conf']['dts'] != 1) ? 'CHECKED' : '' ); ?>/> Allow
											</label>
										</td>
									</tr>
									<tr>
										<th scope="row">
											Right Clicks
										</th>
										<td>
											<label>
												<input type="radio" class="drc_selector" name="<?php echo $wpsiteprotector['env_const'].'drc'.'_val'; ?>" value="1" <?php echo ( ($wpsiteprotector['conf']['drc'] == 1) ? 'CHECKED' : '' ); ?>/> Restrict
											</label>
											&nbsp;&nbsp;&nbsp;&nbsp;
											<label>
												<input type="radio" class="drc_selector" name="<?php echo $wpsiteprotector['env_const'].'drc'.'_val'; ?>" value="0" <?php echo ( ($wpsiteprotector['conf']['drc'] != 1) ? 'CHECKED' : '' ); ?>/> Allow
											</label>
										</td>
									</tr>
									<tr class="drc_alert_text" style="<?php echo ( ($wpsiteprotector['conf']['drc'] != 1) ? 'display:none' : '' ); ?>">
										<th scope="row">
											Alert Text (On Right Click)
										</th>
										<td>
											<label>
												<textarea rows="5" cols="50" name="<?php echo $wpsiteprotector['env_const'].'drc_text'.'_val'; ?>"><?php echo $wpsiteprotector['conf']['drc_text']; ?></textarea>
											</label>
										</td>
									</tr>
									<tr>
										<th scope="row">
											Keyboard Shortcuts (e.g. CTRL+A, CTRL+C, CTRL+V and equivalents)
										</th>
										<td>
											<label>
												<input type="radio" name="<?php echo $wpsiteprotector['env_const'].'dks'.'_val'; ?>" value="1" <?php echo ( ($wpsiteprotector['conf']['dks'] == 1) ? 'CHECKED' : '' ); ?>/> Restrict
											</label>
											&nbsp;&nbsp;&nbsp;&nbsp;
											<label>
												<input type="radio" name="<?php echo $wpsiteprotector['env_const'].'dks'.'_val'; ?>" value="0" <?php echo ( ($wpsiteprotector['conf']['dks'] != 1) ? 'CHECKED' : '' ); ?>/> Allow
											</label>
										</td>
									</tr>
									<tr>
										<th scope="row">
											Append string content when user copies data from your website
										</th>
										<td>
											<label>
												<input type="radio" class="asc_selector" name="<?php echo $wpsiteprotector['env_const'].'asc'.'_val'; ?>" value="1" <?php echo ( ($wpsiteprotector['conf']['asc'] == 1) ? 'CHECKED' : '' ); ?>/> Yes
											</label>
											&nbsp;&nbsp;&nbsp;&nbsp;
											<label>
												<input type="radio" class="asc_selector" name="<?php echo $wpsiteprotector['env_const'].'asc'.'_val'; ?>" value="0" <?php echo ( ($wpsiteprotector['conf']['asc'] != 1) ? 'CHECKED' : '' ); ?>/> No
											</label>
										</td>
									</tr>
									<tr class="asc_text" style="<?php echo ( ($wpsiteprotector['conf']['asc'] != 1) ? 'display:none' : '' ); ?>">
										<th scope="row">
											Write the text that needs to be appended
										</th>
										<td>
											<label>
												<textarea rows="5" cols="50" name="<?php echo $wpsiteprotector['env_const'].'asc_text'.'_val'; ?>"><?php echo $wpsiteprotector['conf']['asc_text']; ?></textarea>
											</label>
										</td>
									</tr>
									<tr>
										<th scope="row">
											Help us spread the Word so that maximum people can get benefit from <?php echo $wpsiteprotector['name']; ?>
										</th>
										<td>
											<label>
												<input type="radio" class="da_selector" name="<?php echo $wpsiteprotector['env_const'].'da'.'_val'; ?>" value="1" <?php echo ( ($wpsiteprotector['conf']['da'] == 1) ? 'CHECKED' : '' ); ?>/> Yes
											</label>
											&nbsp;&nbsp;&nbsp;&nbsp;
											<label>
												<input type="radio" class="da_selector" name="<?php echo $wpsiteprotector['env_const'].'da'.'_val'; ?>" value="0" <?php echo ( ($wpsiteprotector['conf']['da'] != 1) ? 'CHECKED' : '' ); ?>/> No
											</label>
										</td>
									</tr>
								</tbody>
							</table>
							<p class="submit">
								<button type="submit" name="submit" id="submit" class="button button-primary">Save Changes</button>
							</p>
						</form>
					</td>
					<td style="width:20%;vertical-align:top">
						<a href="<?php echo $wpsiteprotector['page_url']; ?>" target="_blank">
							<img src="<?php echo plugins_url('media/wp-site-protector-pro.png', __FILE__); ?>" />
						</a>
					</td>
				</tr>
			</table>
		</div>
		<script>
		jQuery('.drc_selector').change(function(e) {
			if(this.value == 1)
				jQuery('.drc_alert_text').show();
			else
				jQuery('.drc_alert_text').hide();
		});
		jQuery('.asc_selector').change(function(e) {
			if(this.value == 1)
				jQuery('.asc_text').show();
			else
				jQuery('.asc_text').hide();
		});
		
		</script>
		<?php
	}
}

function wpsiteprotector_conf_pager()
{
	global $wpsiteprotector;

	if(get_option($wpsiteprotector['name_act_l'], false))
	{
		delete_option($wpsiteprotector['name_act_l']);
		wp_redirect($wpsiteprotector['env_admin_url']);
	}
}

function wpsiteprotector_conf_page_hlink($links)
{
	global $wpsiteprotector;

	$conf_page_hlink = '<a href="'.$wpsiteprotector['env_admin_url'].'">Configuration</a>';
	array_unshift($links, $conf_page_hlink);
	return $links;
}

function wpsiteprotector_admin()
{
	global $wpsiteprotector;

	if (function_exists('add_options_page'))
		add_options_page($wpsiteprotector['name'], $wpsiteprotector['name'], 'level_8', basename(__FILE__), 'wpsiteprotector_conf_page');
}

function wpsiteprotector_installer()
{
	global $wpsiteprotector;
	
	add_option($wpsiteprotector['version_label'], $wpsiteprotector['version']);
	register_setting($wpsiteprotector['name_act_l'], $wpsiteprotector['name_act_l']);
	add_option($wpsiteprotector['name_act_l'], true);
}

function wpsiteprotector_h()
{
	global $wpsiteprotector;
	
	if($wpsiteprotector['conf']['asc'])
	{
		?>
		<script>
		var wpSpAppendText = '<?php echo $wpsiteprotector['conf']['asc_text']; ?>';
		</script>
		<?php
	}
	echo '<script src="'.plugins_url('media/functions.js', __FILE__).'"></script>';
}

function wpsiteprotector_f()
{
	global $wpsiteprotector;
	?>
	<script>
	jQuery(document).ready(function(e) {
		<?php
		if($wpsiteprotector['conf']['dts'])
			wpsiteprotector_dts();
		if($wpsiteprotector['conf']['drc'])
			wpsiteprotector_drc();
		if($wpsiteprotector['conf']['dks'])
			wpsiteprotector_dks();
		if($wpsiteprotector['conf']['asc'])
			wpsiteprotector_asc();
		?>
	});
	</script>
	<?php
	
	if($wpsiteprotector['conf']['da'])
		echo da_link();
}

function da_link()
{
	global $wpsiteprotector;
	
	$da_text = "<div style='font-size:12px;'><center>Site Protection is enabled by using <a target='_blank' href='".$wpsiteprotector['page_url']."'>".$wpsiteprotector['name']."</a> from <a target='_blank' href='".$wpsiteprotector['website']."'>".$wpsiteprotector['website_name']."</a></center></div>";
	
	return $da_text;
}

add_action('admin_menu', 'wpsiteprotector_admin', 1);
add_filter('plugin_action_links_'.plugin_basename(__FILE__), 'wpsiteprotector_conf_page_hlink'); 
register_activation_hook(__FILE__, 'wpsiteprotector_installer');
add_action('admin_init', 'wpsiteprotector_conf_pager');
add_action('wp_head', 'wpsiteprotector_h');
add_action('wp_footer', 'wpsiteprotector_f');

?>